Bug 24774 - Profil als Drop-Down im LDAP anzeigen
Profil als Drop-Down im LDAP anzeigen
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 2.3
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Philipp Hahn
Florian Best
: interim-1
Depends on: 24558
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 21:36 CET by Stefan Gohmann
Modified: 2013-11-19 06:43 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2011-11-21 21:36:13 CET
Das Profil sollte als Drop-Down im LDAP angezeigt werden, derzeit steht dort einfach die DN als String.

+++ This bug was initially created as a clone of Bug #24558 +++

Das Profil mit der einr virtuelle Maschine angelegt wurde sollte im LDAP am
Objekt zu r Maschine gespeichert werden.

Dadurch kann beim Bearbeiten einer Maschine besser entschieden werden mit
welchen Parametern beispielsweise Laufwerke angelegt werden sollten.
Comment 1 Philipp Hahn univentionstaff 2013-07-23 15:28:27 CEST
svn42698
univention-virtual-machine-manager-schema_4.0.2-1.55.201307231527
ChangeLog: The syntax for the Profile DN in UVMM info LDAP objects has been changed to do an LDAP search and provide a drop-down list of available profiles
Comment 2 Florian Best univentionstaff 2013-07-26 09:16:27 CEST
The changes causes Bug #32084
Comment 3 Philipp Hahn univentionstaff 2013-07-26 13:22:45 CEST
(In reply to Florian Best from comment #2)
> The changes causes Bug #32084

svn42813: Removed explicit key='dn', which fixes this issue for me.

univention-virtual-machine-manager-schema_4.0.2-2.56.201307261321
Comment 4 Philipp Hahn univentionstaff 2013-07-26 13:59:35 CEST
Waiting for Bug #32084 getting fixed.
Comment 5 Philipp Hahn univentionstaff 2013-07-26 21:04:02 CEST
svn42845: The UDM modules uvmm/info and uvmm/profile have been converted to use the optimized LDAP search functionality of UDM.
Also added the virttech to the profile name, since the name of the profile itself is not unique (kvm vs. xen)
svn42846: The profile allowed invalid memory and storage capacity values, which are now also validated.
Comment 6 Philipp Hahn univentionstaff 2013-07-26 21:04:47 CEST
univention-virtual-machine-manager-schema_4.0.2-3.57.201307262059
Comment 7 Florian Best univentionstaff 2013-08-19 11:12:33 CEST
Fix: OK
Changelog: OK (slightly adapted)
Comment 8 Stefan Gohmann univentionstaff 2013-10-31 15:49:21 CET
This breaks the UDM CLI from UCS 3.1 to UCS 3.2 during the upgrade:

-------------------------------------------------------------------------------
root@master501:~# /usr/share/univention-directory-manager-tools/univention-cli-server 
Traceback (most recent call last):
  File "/usr/share/univention-directory-manager-tools/univention-cli-server", line 43, in <module>
    import univention.admincli.admin
  File "/usr/lib/pymodules/python2.6/univention/admincli/admin.py", line 52, in <module>
    univention.admin.modules.update()
  File "/usr/lib/pymodules/python2.6/univention/admin/modules.py", line 92, in update
    os.path.walk(dir, _walk, p)
  File "/usr/lib/python2.6/posixpath.py", line 236, in walk
    walk(name, func, arg)
  File "/usr/lib/python2.6/posixpath.py", line 228, in walk
    func(arg, top, names)
  File "/usr/lib/pymodules/python2.6/univention/admin/modules.py", line 76, in _walk
    m=__import__(mod, globals(), locals(), name)
  File "/usr/lib/pymodules/python2.6/univention/admin/handlers/uvmm/info.py", line 97, in <module>
    syntax=udm_syntax.UvmmProfiles,
AttributeError: 'module' object has no attribute 'UvmmProfiles'
root@master501:~#
-------------------------------------------------------------------------------


If the package is already unpacked but the postinst is not executed the syntax link does not exist:
-------------------------------------------------------------------------------
root@master501:~# ls -al /usr/lib/pymodules/python2.6/univention/admin/syntax.d/
insgesamt 16
drwxr-xr-x 2 root root 4096 20. Aug 09:11 .
drwxr-xr-x 4 root root 4096 20. Aug 09:38 ..
lrwxrwxrwx 1 root root   56 20. Aug 09:11 example.py -> /usr/share/pyshared/univention/admin/syntax.d/example.py
-rw-r--r-- 1 root root  651 27. Mär 12:24 example.pyc
-rw-r--r-- 1 root root    0 27. Mär 12:24 __init__.py
-rw-r--r-- 1 root root  153 27. Mär 12:24 __init__.pyc
root@master501:~# dpkg -L python-univention-directory-manager-uvmm
/.
/usr
/usr/share
/usr/share/locale
/usr/share/locale/de
/usr/share/locale/de/LC_MESSAGES
/usr/share/locale/de/LC_MESSAGES/univention-virtual-machine-manager-schema.mo
/usr/share/pyshared
/usr/share/pyshared/univention
/usr/share/pyshared/univention/admin
/usr/share/pyshared/univention/admin/syntax.d
/usr/share/pyshared/univention/admin/syntax.d/univention-virtual-machine-manager-schema.py
/usr/share/pyshared/univention/admin/handlers
/usr/share/pyshared/univention/admin/handlers/uvmm
/usr/share/pyshared/univention/admin/handlers/uvmm/profile.py
/usr/share/pyshared/univention/admin/handlers/uvmm/info.py
/usr/share/pyshared/univention/admin/handlers/uvmm/__init__.py
/usr/share/doc
/usr/share/doc/python-univention-directory-manager-uvmm
/usr/share/doc/python-univention-directory-manager-uvmm/changelog.Debian.gz
/usr/share/doc/python-univention-directory-manager-uvmm/copyright
/usr/share/python-support
/usr/share/python-support/python-univention-directory-manager-uvmm.public
-------------------------------------------------------------------------------

But the link to the module already uses the new module:
-------------------------------------------------------------------------------
root@master501:~# ls -la /usr/share/pyshared/univention/admin/handlers/uvmm/info.py
-rw-r--r-- 1 root root 5568 26. Jul 20:48 /usr/share/pyshared/univention/admin/handlers/uvmm/info.py
root@master501:~# ls -la /usr/lib/pymodules/python2.6/univention/admin/handlers/uvmm/info.py
lrwxrwxrwx 1 root root 58 27. Mär 12:25 /usr/lib/pymodules/python2.6/univention/admin/handlers/uvmm/info.py -> /usr/share/pyshared/univention/admin/handlers/uvmm/info.py
root@master501:~#
-------------------------------------------------------------------------------


The following options come to my mind:

- pre-Update of python-univention-direcory-manager-uvmm

- move syntax defintions to the module

- move syntax defintion to syntax.py
Comment 9 Stefan Gohmann univentionstaff 2013-10-31 15:57:44 CET
(In reply to Stefan Gohmann from comment #8)
> - pre-Update of python-univention-direcory-manager-uvmm

The package is now updated in preup.sh.

No additional changelog entry needed.
Comment 10 Florian Best univentionstaff 2013-11-01 12:43:38 CET
(In reply to Stefan Gohmann from comment #9)
> (In reply to Stefan Gohmann from comment #8)
> > - pre-Update of python-univention-direcory-manager-uvmm
> 
> The package is now updated in preup.sh.
OK, works.
Comment 11 Stefan Gohmann univentionstaff 2013-11-19 06:43:33 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".